python-module-wrapt-1.11.1-alt1.x86_64.rpm


Advertisement

Description

python-module-wrapt - A Python module for decorators, wrappers and monkey patching

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename python-module-wrapt-1.11.1-alt1.x86_64.rpm
Package name python-module-wrapt
Package version 1.11.1
Package release alt1
Package architecture x86_64
Package type rpm
Category Development/Python
Homepage -
License -
Maintainer -
Download size 163.99 KB
Installed size 163.99 KB
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

Alternatives

Package Version Architecture Repository
python-module-wrapt-1.11.1-alt1.i586.rpm 1.11.1 i586 Classic
python-module-wrapt - - -

Requires

Name Value
/usr/lib64/python2.7/site-packages -
libpython2.7.so.1.0()(64bit) -
python-modules -
python2.7(inspect) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
python-module-wrapt = 1.11.1-alt1:sisyphus+219678.100.1.1
python2.7(wrapt) -
python2.7(wrapt._wrappers) -
python2.7(wrapt.decorators) -
python2.7(wrapt.importer) -
python2.7(wrapt.wrappers) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python-module-wrapt-1.11.1-alt1.x86_64.rpm
Source Package python-module-wrapt-1.11.1-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-wrapt rpm package:
    # sudo apt-get install python-module-wrapt

Files

Path
/usr/lib64/python2.7/site-packages/wrapt-1.11.1-py2.7.egg-info
/usr/lib64/python2.7/site-packages/wrapt/__init__.py
/usr/lib64/python2.7/site-packages/wrapt/__init__.pyc
/usr/lib64/python2.7/site-packages/wrapt/__init__.pyo
/usr/lib64/python2.7/site-packages/wrapt/_wrappers.so
/usr/lib64/python2.7/site-packages/wrapt/decorators.py
/usr/lib64/python2.7/site-packages/wrapt/decorators.pyc
/usr/lib64/python2.7/site-packages/wrapt/decorators.pyo
/usr/lib64/python2.7/site-packages/wrapt/importer.py
/usr/lib64/python2.7/site-packages/wrapt/importer.pyc
/usr/lib64/python2.7/site-packages/wrapt/importer.pyo
/usr/lib64/python2.7/site-packages/wrapt/wrappers.py
/usr/lib64/python2.7/site-packages/wrapt/wrappers.pyc
/usr/lib64/python2.7/site-packages/wrapt/wrappers.pyo
/usr/share/doc/python-module-wrapt-1.11.1/README.rst

Changelog

2019-01-20 - Grigory Ustinov <grenka@altlinux.org> 1.11.1-alt1
- Build new version.
2019-01-11 - Grigory Ustinov <grenka@altlinux.org> 1.11.0-alt1
- Build new version.
2018-05-10 - Grigory Ustinov <grenka@altlinux.org> 1.10.11-alt2
- Fix provides for docs part.
2018-04-26 - Grigory Ustinov <grenka@altlinux.org> 1.10.11-alt1
- Build new version.
- Tranfer package to subst-packaging system.
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.9.0-alt2.git20140822.1.1.1.1
- (NMU) Rebuilt with python-3.6.4.
2017-07-11 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.9.0-alt2.git20140822.1.1.1
- Fixed build spec
2016-05-23 - Ivan Zakharyaschev <imz@altlinux.org> 1.9.0-alt1.git20140822.1.1.1
- BR: sphinx_rtd_theme (the theme is optional since sphinx-1.4.1).
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 1.9.0-alt1.git20140822.1.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2016-01-28 - Mikhail Efremov <sem@altlinux.org> 1.9.0-alt1.git20140822.1
- NMU: Use buildreq for BR.
2014-11-08 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.9.0-alt1.git20140822
- Initial build for Sisyphus

See Also

Package Description
python-module-wsaccel-0.6.2-alt1.git20131112.1.1.1.x86_64.rpm Accelerator for ws4py and AutobahnPython
python-module-wx3.0-3.0.2.0-alt1.1.qa3.x86_64.rpm Cross platform GUI toolkit for Python using wxGTK
python-module-wx3.0-tests-3.0.2.0-alt1.1.qa3.x86_64.rpm Tests for python-module-wx using
python-module-xapian-1.4.5-alt3.x86_64.rpm Python bindings for Xapian search engine
python-module-xapps-overrides-1.4.5-alt1.x86_64.rpm Python Xapp overrides Library
python-module-xattr-0.9.6-alt1.x86_64.rpm Python wrapper for extended filesystem attributes
python-module-xklavier-0.3-alt1.1.x86_64.rpm Python binding for libxklavier
python-module-xlib-0.25-alt1.x86_64.rpm Python X Library
python-module-xmlsec-1.3.6-alt1.x86_64.rpm Python bindings for the XML Security Library
python-module-xraylib-3.1.0-alt2.git20141114.x86_64.rpm Python bindings of xraylib
python-module-xreadline-0.4.6-alt2.3.x86_64.rpm eXtended readline library
python-module-xstatic-underscore-1.7.0.1-alt1.1.1.1.1.x86_64.rpm underscore 1.7.0 (XStatic packaging standard)
python-module-xxhash-1.3.0-alt1.x86_64.rpm Binding for xxHash
python-module-yajl-0.3.6-alt1.git20140530.1.1.1.1.x86_64.rpm A CPython module for Yet-Another-Json-Library
python-module-yaml-5.1-alt1.x86_64.rpm PyYAML, a YAML parser and emitter for Python
Advertisement
Advertisement